Download it now!
Bug 53520 - [PACKAGING] Brazilian spell-check pt-BR named as pt-PT
Summary: [PACKAGING] Brazilian spell-check pt-BR named as pt-PT
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
3.5.5.3 release
Hardware: Other All
: medium normal
Assignee: Olivier Hallot
URL:
Whiteboard: target:3.7.0 target:3.6.3
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-15 01:49 UTC by Olivier Hallot
Modified: 2012-09-23 22:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
image with pt-BR spellcheck named pt-PT (35.93 KB, image/png)
2012-08-15 01:49 UTC, Olivier Hallot
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Hallot 2012-08-15 01:49:24 UTC
Created attachment 65579 [details]
image with pt-BR spellcheck named pt-PT

Minor bug:

Brazilian spell check dictionary packages as "pt" dictionary, should be "pt-BR" in Debian packages.

Package name in package mananager is shown in image attached.

Affects debian packages installed in debian related computers.


.
Comment 1 Stephan Bergmann 2012-09-11 07:39:31 UTC
Relevant fixes on master:

<http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9412fb4755377b8358a46a249cfe29a22ea9451> "fdo#53520 rename portuguese dicts"

<http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff9c93c0294b8350a58c648346c01d726710c402> "fix bug fdo#53520, pt-PT and pt-BR better split"

<http://cgit.freedesktop.org/libreoffice/core/commit/?id=a7805f85ad7a11c187c3bdc1b85be624ccbff864> "fdo#53520: Adapt to dict-pt*.oxt renames, and more pt-PT/pt-BR clean up"

<http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=d1f69e800560a558f9dbffc195573d32354e8efb> "Fix for fdo#53520, Portuguese spelling files"
Comment 2 Stephan Bergmann 2012-09-11 15:15:48 UTC
(In reply to comment #1)
> Relevant fixes on master:

...plus <http://cgit.freedesktop.org/libreoffice/core/commit/?id=8bb4cc03cf81051aa04362f2bc3a867e4bd72bd0> "fdo#53520: One more dict pt vs. pt-PT inconsitency"
Comment 3 Not Assigned 2012-09-12 13:01:50 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=d1f69e800560a558f9dbffc195573d32354e8efb

Fix for fdo#53520, Portuguese spelling files



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Not Assigned 2012-09-23 22:12:51 UTC
David Tardon committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f2448bb1e9056d24e12d64b44ba10e762e77f0f4&g=libreoffice-3-6

fdo#53520 rename portuguese dicts


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Not Assigned 2012-09-23 22:13:10 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=96df23d47aba4632da900e5476547fb35c424cdd&g=libreoffice-3-6

fix bug fdo#53520, pt-PT and pt-BR better split


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Not Assigned 2012-09-23 22:13:27 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d63269b691c2796bdbc56d47a799fda7ceee736&g=libreoffice-3-6

fdo#53520: Adapt to dict-pt*.oxt renames, and more pt-PT/pt-BR clean up


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Not Assigned 2012-09-23 22:13:45 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95b3f4e50e0794e03a056ca5e7095a3e68e5341b&g=libreoffice-3-6

fdo#53520: One more dict pt vs. pt-PT inconsitency


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Not Assigned 2012-09-23 22:19:41 UTC
Olivier Hallot committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=ba0e8a8f2d583cae7b28cd2190253d6f009e46c4&g=libreoffice-3-6

Fix for fdo#53520, Portuguese spelling files


It will be available in LibreOffice 3.6.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.